Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class RevocationValues

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.RevocationValues

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevocationValues
extends ASN1Object

RevocationValues ::= SEQUENCE { crlVals [0] SEQUENCE OF CertificateList OPTIONAL, ocspVals [1] SEQUENCE OF BasicOCSPResponse OPTIONAL, otherRevVals [2] OtherRevVals OPTIONAL}

Constructor Summary
`RevocationValues(CertificateList[] crlVals, BasicOCSPResponse[] ocspVals, OtherRevVals otherRevVals)`

Method Summary
`CertificateList[]` | `getCrlVals()`
`static RevocationValues` | `getInstance(java.lang.Object obj)`
`BasicOCSPResponse[]` | `getOcspVals()`
`OtherRevVals` | `getOtherRevVals()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevocationValues

    public RevocationValues(CertificateList[] crlVals,
                            BasicOCSPResponse[] ocspVals,
                            OtherRevVals otherRevVals)

Method Detail

### getInstance

    public static RevocationValues getInstance(java.lang.Object obj)

### getCrlVals

    public CertificateList[] getCrlVals()

### getOcspVals

    public BasicOCSPResponse[] getOcspVals()

### getOtherRevVals

    public OtherRevVals getOtherRevVals()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD